Bug 329213 - Some brush outlines rotate too much
Summary: Some brush outlines rotate too much
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Ubuntu Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-25 04:06 UTC by jay
Modified: 2013-12-31 08:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jay 2013-12-25 04:06:01 UTC
This could be a feature? but it's very distracting- some brush's outlines just keep spinning when the input device moves, even when scaling. The Foliage from the Mini GPS for Krita http://www.ramonmiranda.com/2012/09/new-set-for-krita-software-45-or-later.html really freaks out. Is there a way to lock the outline or use a circle for all brushes?

Reproducible: Always
Comment 1 Halla Rempt 2013-12-28 13:25:48 UTC
It is intended as a feature... That krita now shows the correct brush outline when hovering, too. But especially with random brushes the effect is indeed a bit distracting.
Comment 2 Halla Rempt 2013-12-28 13:27:43 UTC
14:24:02 < boud> and https://bugs.kde.org/show_bug.cgi?id=329213 is kind of weird... after all the effort expended
                 on making the brush outline follow the dynamics when hovering
14:24:04 < bugbot> KDE bug 329213 in krita (Brush engine) "Some brush outlines rotate too much"
                   [Normal,Unconfirmed: ]
14:26:06 < dmitryK> boud: well, I discussed that with deevad. He said it is so for some of the brushes only.
                    Especially for the ones with random size/rotation.
14:27:15 < dmitryK> boud: We concluded that the best solution would be to make a per-preset configuration defining
                    whether the outline is dynamic or not and to assign it to some shortcut
Comment 3 jay 2013-12-28 21:38:36 UTC
Thanks for looking into this- I'll stay away from those brushes for the time being :)
Comment 4 Dmitry Kazakov 2013-12-29 10:43:07 UTC
Git commit 0cb8007b7ef33b47681b11d8466818bec3b6c27c by Dmitry Kazakov.
Committed on 29/12/2013 at 10:42.
Pushed by dkazakov into branch 'master'.

Fixed the irritating outline blinking in hovering mode

Now KisPaintInformation can tell the sensors whether it was created
for hovering mode or for a usual painting mode. The sersors can decide
how to behave basing on this info. For example, Fuzzy sensor will return
unit value in non-painting mode.

M  +24   -2    krita/image/brushengine/kis_paint_information.cc
M  +23   -0    krita/image/brushengine/kis_paint_information.h
M  +2    -2    krita/plugins/paintops/libpaintop/sensors/kis_dynamic_sensors.h
M  +1    -1    krita/ui/tool/kis_tool_freehand_helper.cpp

http://commits.kde.org/calligra/0cb8007b7ef33b47681b11d8466818bec3b6c27c
Comment 5 Dmitry Kazakov 2013-12-31 08:52:36 UTC
Git commit 564342c6c38fcbd284e4e6c61012d87a7b3cb4a8 by Dmitry Kazakov.
Committed on 29/12/2013 at 10:42.
Pushed by dkazakov into branch 'calligra/2.8'.

Fixed the irritating outline blinking in hovering mode

Now KisPaintInformation can tell the sensors whether it was created
for hovering mode or for a usual painting mode. The sersors can decide
how to behave basing on this info. For example, Fuzzy sensor will return
unit value in non-painting mode.

M  +24   -2    krita/image/brushengine/kis_paint_information.cc
M  +23   -0    krita/image/brushengine/kis_paint_information.h
M  +2    -2    krita/plugins/paintops/libpaintop/sensors/kis_dynamic_sensors.h
M  +1    -1    krita/ui/tool/kis_tool_freehand_helper.cpp

http://commits.kde.org/calligra/564342c6c38fcbd284e4e6c61012d87a7b3cb4a8